## lomiri-indicator-transfer-buteo 0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

project(buteo-transfers-plugins VERSION 0.4 LANGUAGES CXX)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Standard install paths
include(GNUInstallDirs)

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Xml REQUIRED)

pkg_check_modules(GMODULE REQUIRED gmodule-2.0>=2.36)
pkg_check_modules(TRANSFER_INDICATOR REQUIRED lomiri-indicator-transfer)
pkg_check_modules(URL_DISPATCHER REQUIRED lomiri-url-dispatcher)
pkg_check_modules(ACCOUNTS_QT5 REQUIRED accounts-qt5)

#i18n
set(GETTEXT_PACKAGE "lomiri-indicator-transfer-buteo")
add_definitions(-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
               "${CMAKE_CURRENT_BINARY_DIR}/config.h"
               IMMEDIATE @ONLY)

# Coverage tools
OPTION(ENABLE_COVERAGE "Build with coverage analysis support" OFF)
if(ENABLE_COVERAGE)
    message(STATUS "Using coverage flags")
    find_program(COVERAGE_COMMAND gcov)
    if(NOT COVERAGE_COMMAND)
        message(FATAL_ERROR "gcov command not found")
    endif()
    SET(CMAKE_C_FLAGS "-g -O0 -Wall -fprofile-arcs -ftest-coverage")
    SET(CMAKE_CXX_FLAGS "-g -O0 -Wall -fprofile-arcs -ftest-coverage")
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")
    include(${CMAKE_SOURCE_DIR}/cmake/lcov.cmake)
endif()

enable_testing()
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(po)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory(${GETTEXT_PACKAGE})
add_translations_catalog(${GETTEXT_PACKAGE} ../src/)

=== debian/changelog ===
lomiri-indicator-transfer-buteo (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086508).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Oct 2024 16:06:38 +0100

=== debian/control ===
Source: lomiri-indicator-transfer-buteo
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt5-dev,
               liblomiri-indicator-transfer-dev,
               libglib2.0-dev,
               liblomiri-url-dispatcher-dev,
               libproperties-cpp-dev,
               pkgconf,
               python3:any,
               python3-dbus,
               python3-gi,
               qtbase5-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-indicator-transfer-buteo
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo

Package: lomiri-indicator-transfer-buteo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-indicator-transfer,
Description: Lomiri Transfer Indicator - Buteo plugin
 Lomiri Indicator Transfer shows file/data transfers in the indicator bar
 of the Lomiri operating shell.
 .
 This package provides a plugin for Lomiri Indicator Transfer informing about
 transfer activities of the Buteo Sync Framework daemon.

## lomiri-indicator-transfer-buteo 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.10 FATAL_ERROR)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-project(buteo-transfers-plugins VERSION 0.4 LANGUAGES CXX)
+project(buteo-transfers-plugins VERSION 0.5 LANGUAGES CXX)
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== src/CMakeLists.txt ===
set(BUTEO_TRANSFERS_PLUGIN buteo-transfers)
set(BUTEO_TRANSFERS_SRCS
    buteo-plugin.cpp
    buteo-plugin.h
    buteo-source.cpp
    buteo-source.h
    buteo-transfer.cpp
    buteo-transfer.h
)

add_library(${BUTEO_TRANSFERS_PLUGIN} MODULE
    ${BUTEO_TRANSFERS_SRCS}
)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${GMODULE_INCLUDE_DIRS}
    ${TRANSFER_INDICATOR_INCLUDE_DIRS}
    ${URL_DISPATCHER_INCLUDE_DIRS}
    ${ACCOUNTS_QT5_INCLUDE_DIRS}
)

target_link_libraries(${BUTEO_TRANSFERS_PLUGIN}
    Qt5::Core
    Qt5::DBus
    Qt5::Xml
    ${GMODULE_LIBRARIES}
    ${TRANSFER_INDICATOR_LIBRARIES}
    ${URL_DISPATCHER_LIBRARIES}
    ${ACCOUNTS_QT5_LIBRARIES}
)

add_definitions(-std=c++11)

execute_process(
    COMMAND pkg-config --variable=plugindir lomiri-indicator-transfer
    OUTPUT_VARIABLE INTDICATOR_TRANSFER_PLUGINDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

install(TARGETS ${BUTEO_TRANSFERS_PLUGIN}
    DESTINATION ${INTDICATOR_TRANSFER_PLUGINDIR}/
)

=== tests/CMakeLists.txt ===
add_executable(tst-transfer-plugin
    tst-transfer-plugin.cpp
    ${CMAKE_SOURCE_DIR}/src/buteo-source.cpp
    ${CMAKE_SOURCE_DIR}/src/buteo-transfer.cpp
)

target_link_libraries(tst-transfer-plugin
    Qt5::Core
    Qt5::DBus
    Qt5::Xml
    ${GMODULE_LIBRARIES}
    ${TRANSFER_INDICATOR_LIBRARIES}
    ${URL_DISPATCHER_LIBRARIES}
    ${ACCOUNTS_QT5_LIBRARIES}
)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${TRANSFER_INDICATOR_INCLUDE_DIRS}
    ${URL_DISPATCHER_INCLUDE_DIRS}
    ${ACCOUNTS_QT5_INCLUDE_DIRS}
)

qt5_use_modules(tst-transfer-plugin Core Test)
add_definitions(-std=c++11)

find_program(DBUS_RUNNER_BIN dbus-test-runner)
add_test(NAME tst-transfer-plugin
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND ${DBUS_RUNNER_BIN}
            --task ${CMAKE_CURRENT_SOURCE_DIR}/buteo-syncfw.py -r -n buteo-syncfw
            --task ${CMAKE_CURRENT_BINARY_DIR}/tst-transfer-plugin --wait-for=com.meego.msyncd -n tst-transfer-plugin
)

=== debian/changelog ===
lomiri-indicator-transfer-buteo (0.5-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113242).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 1001_typo-fix.patch. Applied upstream.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 22:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-dbus,
                python3-gi,
                qtbase5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/lomiri-indicator-transfer-buteo
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
